Bug 271624 - New/Edit account doesn't put focus on the input widgets
Summary: New/Edit account doesn't put focus on the input widgets
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: accounts-kcm (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks: tppreviewrelease
  Show dependency treegraph
 
Reported: 2011-04-24 16:27 UTC by David Edmundson
Modified: 2012-07-06 12:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2011-04-24 16:27:16 UTC
Version:           unspecified
OS:                Linux

Expected:
 When add / edit an account dialog is shown focus should start on the first input widget.

Currently:
 Focus is just on the close/Finish buttons

I've tried calling setFocus() on the main widget but it seems a fix requires a bit more than that.

Reproducible: Didn't try
Comment 1 Martin Klapetek 2011-04-24 19:47:51 UTC
I'd also like to add this bug as related to this one - https://bugs.kde.org/show_bug.cgi?id=269926 - Tab order is wrong with some dialogs (if not all).
Comment 2 Francesco Nwokeka 2011-06-30 10:55:28 UTC
Is the plugin ready to be moved to playground?
Comment 3 Francesco Nwokeka 2011-06-30 10:56:57 UTC
sorry, wrong post
Comment 4 David Edmundson 2011-06-30 12:50:59 UTC
Git commit 343fbb8c5f7cc5e4de946a89937721800464f4e3 by David Edmundson.
Committed on 23/06/2011 at 04:06.
Pushed by davidedmundson into branch 'master'.

Force the first line edit to be focussed on load.

BUG: 271624
REVIEW: 101735

M  +2    -0    butterfly/main-options-widget.cpp     
M  +1    -0    gabble/main-options-widget-facebook.cpp     
M  +1    -0    gabble/main-options-widget-googletalk.cpp     
M  +1    -0    gabble/main-options-widget.cpp     
M  +1    -0    haze/aim-main-options-widget.cpp     
M  +1    -0    haze/icq-main-options-widget.cpp     
M  +1    -0    haze/yahoo-main-options-widget.cpp     
M  +1    -2    idle/main-options-widget.cpp     
M  +2    -0    salut/salut-main-options-widget.cpp     
M  +2    -0    sunshine/sunshine-main-options-widget.cpp     

http://commits.kde.org/telepathy-accounts-kcm-plugins/343fbb8c5f7cc5e4de946a89937721800464f4e3